Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5117)
@@ -9,19 +9,19 @@
 !-------------------------------------------------------------------------
 
-      integer nlev_toga,nt_toga
-      real ts_toga(nt_toga),plev_toga(nlev_toga,nt_toga)
-      real t_toga(nlev_toga,nt_toga),q_toga(nlev_toga,nt_toga)
-      real u_toga(nlev_toga,nt_toga),v_toga(nlev_toga,nt_toga)
-      real w_toga(nlev_toga,nt_toga)
-      real ht_toga(nlev_toga,nt_toga),vt_toga(nlev_toga,nt_toga)
-      real hq_toga(nlev_toga,nt_toga),vq_toga(nlev_toga,nt_toga)
+      INTEGER nlev_toga,nt_toga
+      REAL ts_toga(nt_toga),plev_toga(nlev_toga,nt_toga)
+      REAL t_toga(nlev_toga,nt_toga),q_toga(nlev_toga,nt_toga)
+      REAL u_toga(nlev_toga,nt_toga),v_toga(nlev_toga,nt_toga)
+      REAL w_toga(nlev_toga,nt_toga)
+      REAL ht_toga(nlev_toga,nt_toga),vt_toga(nlev_toga,nt_toga)
+      REAL hq_toga(nlev_toga,nt_toga),vq_toga(nlev_toga,nt_toga)
       character*80 fich_toga
 
-      integer k,ip
-      real bid
-
-      integer iy,im,id,ih
+      INTEGER k,ip
+      REAL bid
+
+      INTEGER iy,im,id,ih
       
-       real plev_min
+       REAL plev_min
 
        plev_min = 55.  ! pas de tendance de vap. d eau au-dessus de 55 hPa
@@ -46,5 +46,5 @@
          w_toga(k,ip)=w_toga(k,ip)*100./3600. ! Pa/s
 ! no water vapour tendency above 55 hPa
-         if (plev_toga(k,ip) .lt. plev_min) THEN
+         IF (plev_toga(k,ip) .lt. plev_min) THEN
           q_toga(k,ip) = 0.
           hq_toga(k,ip) = 0.
@@ -71,12 +71,12 @@
 !-------------------------------------------------------------------------
 
-      integer nlev_sandu,nt_sandu
-      real ts_sandu(nt_sandu)
+      INTEGER nlev_sandu,nt_sandu
+      REAL ts_sandu(nt_sandu)
       character*80 fich_sandu
 
-      integer ip
-      integer iy,im,id,ih
-
-      real plev_min
+      INTEGER ip
+      INTEGER iy,im,id,ih
+
+      REAL plev_min
 
       PRINT*,'nlev_sandu',nlev_sandu
@@ -108,13 +108,13 @@
 !-------------------------------------------------------------------------
 
-      integer nlev_astex,nt_astex
-      real div_astex(nt_astex),ts_astex(nt_astex),ug_astex(nt_astex)
-      real vg_astex(nt_astex),ufa_astex(nt_astex),vfa_astex(nt_astex)
+      INTEGER nlev_astex,nt_astex
+      REAL div_astex(nt_astex),ts_astex(nt_astex),ug_astex(nt_astex)
+      REAL vg_astex(nt_astex),ufa_astex(nt_astex),vfa_astex(nt_astex)
       character*80 fich_astex
 
-      integer ip
-      integer iy,im,id,ih
-
-       real plev_min
+      INTEGER ip
+      INTEGER iy,im,id,ih
+
+       REAL plev_min
 
       PRINT*,'nlev_astex',nlev_astex
@@ -146,5 +146,5 @@
 !program reading forcings of the TWP-ICE experiment
 
-        use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
+        USE netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
             nf90_inq_dimid,nf90_inquire_dimension
 
@@ -152,6 +152,6 @@
       IMPLICIT NONE
 
-      integer ntime,nlevel
-      integer l,k
+      INTEGER ntime,nlevel
+      INTEGER l,k
       character*80 :: fich_twpice
       real*8 time(ntime)
@@ -172,11 +172,11 @@
       real*8 T_srf(ntime)
 
-      integer nid, ierr
-      integer nbvar3d
+      INTEGER nid, ierr
+      INTEGER nbvar3d
       parameter(nbvar3d=20)
-      integer var3didin(nbvar3d)
+      INTEGER var3didin(nbvar3d)
 
       ierr = nf90_open(fich_twpice,nf90_nowrite,nid)
-      if (ierr.NE.nf90_noerr) THEN
+      IF (ierr.NE.nf90_noerr) THEN
          WRITE(*,*) 'ERROR: Pb opening forcings cdf file '
          WRITE(*,*) nf90_strerror(ierr)
@@ -492,16 +492,16 @@
          subroutine catchaxis(nid,ttm,llm,time,lev,ierr)
 
-         use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
+         USE netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
             nf90_inq_dimid,nf90_inquire_dimension
 
          IMPLICIT NONE
-         integer nid,ttm,llm
+         INTEGER nid,ttm,llm
          real*8 time(ttm)
          real*8 lev(llm)
-         integer ierr
-
-         integer timevar,levvar
-         integer timelen,levlen
-         integer timedimin,levdimin
+         INTEGER ierr
+
+         INTEGER timevar,levvar
+         INTEGER timelen,levlen
+         INTEGER timedimin,levdimin
 
 ! Control & lecture on dimensions
@@ -509,5 +509,5 @@
          ierr=nf90_inq_dimid(nid,"time",timedimin)
          ierr=nf90_inq_varid(nid,"time",timevar)
-         if (ierr.NE.nf90_noerr) THEN
+         IF (ierr.NE.nf90_noerr) THEN
             WRITE(*,*) 'ERROR: Field <time> is missing'
             stop ""  
@@ -517,5 +517,5 @@
          ierr=nf90_inq_dimid(nid,"lev",levdimin)
          ierr=nf90_inq_varid(nid,"lev",levvar)
-         if (ierr.NE.nf90_noerr) THEN
+         IF (ierr.NE.nf90_noerr) THEN
              WRITE(*,*) 'ERROR: Field <lev> is lacking'
              stop "" 
@@ -523,5 +523,5 @@
          ierr=nf90_inquire_dimension(nid,levdimin,len=levlen)
 
-         if((timelen/=ttm).or.(levlen/=llm)) THEN
+         IF((timelen/=ttm).OR.(levlen/=llm)) THEN
             WRITE(*,*) 'ERROR: Not the good lenght for axis'
             WRITE(*,*) 'longitude: ',timelen,ttm+1
@@ -551,7 +551,7 @@
 !-------------------------------------------------------------------------
 
-       integer nlevmax
+       INTEGER nlevmax
        parameter (nlevmax=41)
-       integer nlev_sandu,mxcalc
+       INTEGER nlev_sandu,mxcalc
 !       real play(llm), plev_prof(nlevmax)
 !       real t_prof(nlevmax),q_prof(nlevmax)
@@ -560,26 +560,26 @@
 !       real hq_prof(nlevmax),vq_prof(nlevmax)
 
-       real play(llm), plev_prof(nlev_sandu)
-       real t_prof(nlev_sandu),thl_prof(nlev_sandu),q_prof(nlev_sandu)
-       real u_prof(nlev_sandu),v_prof(nlev_sandu), w_prof(nlev_sandu)
-       real omega_prof(nlev_sandu),o3mmr_prof(nlev_sandu)
-
-       real t_mod(llm),thl_mod(llm),q_mod(llm)
-       real u_mod(llm),v_mod(llm), w_mod(llm)
-       real omega_mod(llm),o3mmr_mod(llm)
-
-       integer l,k,k1,k2
-       real frac,frac1,frac2,fact
+       REAL play(llm), plev_prof(nlev_sandu)
+       REAL t_prof(nlev_sandu),thl_prof(nlev_sandu),q_prof(nlev_sandu)
+       REAL u_prof(nlev_sandu),v_prof(nlev_sandu), w_prof(nlev_sandu)
+       REAL omega_prof(nlev_sandu),o3mmr_prof(nlev_sandu)
+
+       REAL t_mod(llm),thl_mod(llm),q_mod(llm)
+       REAL u_mod(llm),v_mod(llm), w_mod(llm)
+       REAL omega_mod(llm),o3mmr_mod(llm)
+
+       INTEGER l,k,k1,k2
+       REAL frac,frac1,frac2,fact
 
        do l = 1, llm
 
-        if (play(l).ge.plev_prof(nlev_sandu)) THEN
+        IF (play(l).ge.plev_prof(nlev_sandu)) THEN
         mxcalc=l
          k1=0
          k2=0
 
-         if (play(l).le.plev_prof(1)) THEN
+         IF (play(l).le.plev_prof(1)) THEN
          do k = 1, nlev_sandu-1
-          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) THEN
+          IF (play(l).le.plev_prof(k).AND. play(l).gt.plev_prof(k+1)) THEN
             k1=k
             k2=k+1
@@ -587,5 +587,5 @@
          enddo
 
-         if (k1.eq.0 .or. k2.eq.0) THEN
+         IF (k1.EQ.0 .OR. k2.EQ.0) THEN
           WRITE(*,*) 'PB! k1, k2 = ',k1,k2
           WRITE(*,*) 'l,play(l) = ',l,play(l)/100
@@ -663,7 +663,7 @@
 !-------------------------------------------------------------------------
 
-       integer nlevmax
+       INTEGER nlevmax
        parameter (nlevmax=41)
-       integer nlev_astex,mxcalc
+       INTEGER nlev_astex,mxcalc
 !       real play(llm), plev_prof(nlevmax)
 !       real t_prof(nlevmax),qv_prof(nlevmax)
@@ -672,27 +672,27 @@
 !       real hq_prof(nlevmax),vq_prof(nlevmax)
 
-       real play(llm), plev_prof(nlev_astex)
-       real t_prof(nlev_astex),thl_prof(nlev_astex),qv_prof(nlev_astex)
-       real u_prof(nlev_astex),v_prof(nlev_astex), w_prof(nlev_astex)
-       real o3mmr_prof(nlev_astex),ql_prof(nlev_astex)
-       real qt_prof(nlev_astex),tke_prof(nlev_astex)
-
-       real t_mod(llm),thl_mod(llm),qv_mod(llm)
-       real u_mod(llm),v_mod(llm), w_mod(llm),tke_mod(llm)
-       real o3mmr_mod(llm),ql_mod(llm),qt_mod(llm)
-
-       integer l,k,k1,k2
-       real frac,frac1,frac2,fact
+       REAL play(llm), plev_prof(nlev_astex)
+       REAL t_prof(nlev_astex),thl_prof(nlev_astex),qv_prof(nlev_astex)
+       REAL u_prof(nlev_astex),v_prof(nlev_astex), w_prof(nlev_astex)
+       REAL o3mmr_prof(nlev_astex),ql_prof(nlev_astex)
+       REAL qt_prof(nlev_astex),tke_prof(nlev_astex)
+
+       REAL t_mod(llm),thl_mod(llm),qv_mod(llm)
+       REAL u_mod(llm),v_mod(llm), w_mod(llm),tke_mod(llm)
+       REAL o3mmr_mod(llm),ql_mod(llm),qt_mod(llm)
+
+       INTEGER l,k,k1,k2
+       REAL frac,frac1,frac2,fact
 
        do l = 1, llm
 
-        if (play(l).ge.plev_prof(nlev_astex)) THEN
+        IF (play(l).ge.plev_prof(nlev_astex)) THEN
         mxcalc=l
          k1=0
          k2=0
 
-         if (play(l).le.plev_prof(1)) THEN
+         IF (play(l).le.plev_prof(1)) THEN
          do k = 1, nlev_astex-1
-          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) THEN
+          IF (play(l).le.plev_prof(k).AND. play(l).gt.plev_prof(k+1)) THEN
             k1=k
             k2=k+1
@@ -700,5 +700,5 @@
          enddo
 
-         if (k1.eq.0 .or. k2.eq.0) THEN
+         IF (k1.EQ.0 .OR. k2.EQ.0) THEN
           WRITE(*,*) 'PB! k1, k2 = ',k1,k2
           WRITE(*,*) 'l,play(l) = ',l,play(l)/100
@@ -780,21 +780,21 @@
 
 
-      integer nlev_rico
-      real ts_rico,ps_rico
-      real t_rico(llm),q_rico(llm)
-      real u_rico(llm),v_rico(llm)
-      real w_rico(llm)
-      real dth_dyn(llm)
-      real dqh_dyn(llm)
+      INTEGER nlev_rico
+      REAL ts_rico,ps_rico
+      REAL t_rico(llm),q_rico(llm)
+      REAL u_rico(llm),v_rico(llm)
+      REAL w_rico(llm)
+      REAL dth_dyn(llm)
+      REAL dqh_dyn(llm)
       
 
-      real play(llm),zlay(llm)
+      REAL play(llm),zlay(llm)
      
 
-      real prico(nlev_rico),zrico(nlev_rico)
+      REAL prico(nlev_rico),zrico(nlev_rico)
 
       character*80 fich_rico
 
-      integer k,l
+      INTEGER k,l
 
       
@@ -827,12 +827,12 @@
         PRINT*,k,zlay(k)
         ! U
-        IF(0 < zlay(k) .and. zlay(k) < 4000) THEN
+        IF(0 < zlay(k) .AND. zlay(k) < 4000) THEN
           u_rico(k)=-9.9 + (-1.9 + 9.9)*zlay(k)/4000
-        elseif(4000 < zlay(k) .and. zlay(k) < 12000) THEN
+        elseif(4000 < zlay(k) .AND. zlay(k) < 12000) THEN
        u_rico(k)=  -1.9 + (30.0 + 1.9) /                                   &
      &          (12000 - 4000) * (zlay(k) - 4000)
-        elseif(12000 < zlay(k) .and. zlay(k) < 13000) THEN
+        elseif(12000 < zlay(k) .AND. zlay(k) < 13000) THEN
           u_rico(k)=30.0
-        elseif(13000 < zlay(k) .and. zlay(k) < 20000) THEN
+        elseif(13000 < zlay(k) .AND. zlay(k) < 20000) THEN
           u_rico(k)=30.0 - (30.0) /                                        &
      & (20000 - 13000) * (zlay(k) - 13000)
@@ -842,13 +842,13 @@
 
 !Q_v
-        IF(0 < zlay(k) .and. zlay(k) < 740) THEN
+        IF(0 < zlay(k) .AND. zlay(k) < 740) THEN
           q_rico(k)=16.0 + (13.8 - 16.0) / (740) * zlay(k)
-        elseif(740 < zlay(k) .and. zlay(k) < 3260) THEN
+        elseif(740 < zlay(k) .AND. zlay(k) < 3260) THEN
           q_rico(k)=13.8 + (2.4 - 13.8) /                                   &
      &          (3260 - 740) * (zlay(k) - 740)
-        elseif(3260 < zlay(k) .and. zlay(k) < 4000) THEN
+        elseif(3260 < zlay(k) .AND. zlay(k) < 4000) THEN
           q_rico(k)=2.4 + (1.8 - 2.4) /                                    &
      &               (4000 - 3260) * (zlay(k) - 3260)
-        elseif(4000 < zlay(k) .and. zlay(k) < 9000) THEN
+        elseif(4000 < zlay(k) .AND. zlay(k) < 9000) THEN
           q_rico(k)=1.8 + (0 - 1.8) /                                      &
      &             (9000 - 4000) * (zlay(k) - 4000)
@@ -858,19 +858,19 @@
 
 !T
-        IF(0 < zlay(k) .and. zlay(k) < 740) THEN
+        IF(0 < zlay(k) .AND. zlay(k) < 740) THEN
           t_rico(k)=299.2 + (292.0 - 299.2) / (740) * zlay(k)
-        elseif(740 < zlay(k) .and. zlay(k) < 4000) THEN
+        elseif(740 < zlay(k) .AND. zlay(k) < 4000) THEN
           t_rico(k)=292.0 + (278.0 - 292.0) /                              &                       
      &       (4000 - 740) * (zlay(k) - 740)
-        elseif(4000 < zlay(k) .and. zlay(k) < 15000) THEN
+        elseif(4000 < zlay(k) .AND. zlay(k) < 15000) THEN
           t_rico(k)=278.0 + (203.0 - 278.0) /                              &
      &       (15000 - 4000) * (zlay(k) - 4000)
-        elseif(15000 < zlay(k) .and. zlay(k) < 17500) THEN
+        elseif(15000 < zlay(k) .AND. zlay(k) < 17500) THEN
           t_rico(k)=203.0 + (194.0 - 203.0) /                              & 
      &       (17500 - 15000)* (zlay(k) - 15000)
-        elseif(17500 < zlay(k) .and. zlay(k) < 20000) THEN
+        elseif(17500 < zlay(k) .AND. zlay(k) < 20000) THEN
           t_rico(k)=194.0 + (206.0 - 194.0) /                              &
      &       (20000 - 17500)* (zlay(k) - 17500)
-        elseif(20000 < zlay(k) .and. zlay(k) < 60000) THEN
+        elseif(20000 < zlay(k) .AND. zlay(k) < 60000) THEN
           t_rico(k)=206.0 + (270.0 - 206.0) /                              & 
      &        (60000 - 20000)* (zlay(k) - 20000)
@@ -878,9 +878,9 @@
 
 ! W
-        IF(0 < zlay(k) .and. zlay(k) < 2260 ) THEN
+        IF(0 < zlay(k) .AND. zlay(k) < 2260 ) THEN
           w_rico(k)=- (0.005/2260) * zlay(k)
-        elseif(2260 < zlay(k) .and. zlay(k) < 4000 ) THEN
+        elseif(2260 < zlay(k) .AND. zlay(k) < 4000 ) THEN
           w_rico(k)=- 0.005
-        elseif(4000 < zlay(k) .and. zlay(k) < 5000 ) THEN
+        elseif(4000 < zlay(k) .AND. zlay(k) < 5000 ) THEN
        w_rico(k)=- 0.005 + (0.005/ (5000 - 4000)) * (zlay(k) - 4000)
         else
@@ -889,8 +889,8 @@
 
 ! dThrz+dTsw0+dTlw0
-        IF(0 < zlay(k) .and. zlay(k) < 4000) THEN
+        IF(0 < zlay(k) .AND. zlay(k) < 4000) THEN
           dth_dyn(k)=- 2.51 / 86400 + (-2.18 + 2.51 )/                     &
      &               (86400*4000) * zlay(k)
-        elseif(4000 < zlay(k) .and. zlay(k) < 5000) THEN
+        elseif(4000 < zlay(k) .AND. zlay(k) < 5000) THEN
           dth_dyn(k)=- 2.18 / 86400 + ( 2.18 ) /                           &
      &           (86400*(5000 - 4000)) * (zlay(k) - 4000)
@@ -899,10 +899,10 @@
         endif
 ! dQhrz
-        IF(0 < zlay(k) .and. zlay(k) < 3000) THEN
+        IF(0 < zlay(k) .AND. zlay(k) < 3000) THEN
           dqh_dyn(k)=-1.0 / 86400 + (0.345 + 1.0)/                         &
      &                    (86400*3000) * (zlay(k))
-        elseif(3000 < zlay(k) .and. zlay(k) < 4000) THEN
+        elseif(3000 < zlay(k) .AND. zlay(k) < 4000) THEN
           dqh_dyn(k)=0.345 / 86400
-        elseif(4000 < zlay(k) .and. zlay(k) < 5000) THEN
+        elseif(4000 < zlay(k) .AND. zlay(k) < 5000) THEN
           dqh_dyn(k)=0.345 / 86400 +                                       &
      &   (-0.345)/(86400 * (5000 - 4000)) * (zlay(k)-4000)
@@ -913,5 +913,5 @@
 !?        IF(play(k)>6e4) THEN
 !?          ratqs0(1,k)=ratqsbas*(plev(1)-play(k))/(plev(1)-6e4)
-!?        elseif((play(k)>3e4).and.(play(k)<6e4)) THEN
+!?        elseif((play(k)>3e4).AND.(play(k)<6e4)) THEN
 !?          ratqs0(1,k)=ratqsbas+(ratqshaut-ratqsbas)&
 !?                          *(6e4-play(k))/(6e4-3e4)
@@ -946,21 +946,21 @@
 !---------------------------------------------------------------------------------------
 ! inputs:
-        integer annee_ref
-        integer nt_sandu,nlev_sandu
-        integer year_ini_sandu
-        real day, day1,day_ini_sandu,dt_sandu
-        real ts_sandu(nt_sandu)
+        INTEGER annee_ref
+        INTEGER nt_sandu,nlev_sandu
+        INTEGER year_ini_sandu
+        REAL day, day1,day_ini_sandu,dt_sandu
+        REAL ts_sandu(nt_sandu)
 ! outputs:
-        real ts_prof
+        REAL ts_prof
 ! local:
-        integer it_sandu1, it_sandu2
-        real timeit,time_sandu1,time_sandu2,frac
+        INTEGER it_sandu1, it_sandu2
+        REAL timeit,time_sandu1,time_sandu2,frac
 ! Check that initial day of the simulation consistent with SANDU period:
-       if (annee_ref.ne.2006 ) THEN
+       IF (annee_ref.NE.2006 ) THEN
         PRINT*,'Pour SANDUREF, annee_ref doit etre 2006 '
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-!      if (annee_ref.eq.2006 .and. day1.lt.day_ini_sandu) THEN
+!      if (annee_ref.EQ.2006 .AND. day1.lt.day_ini_sandu) THEN
 !       PRINT*,'SANDUREF debute le 15 Juillet 2006 (jour julien=196)'
 !       PRINT*,'Changer dayref dans run.def'
@@ -970,5 +970,5 @@
 ! Determine timestep relative to the 1st day of TOGA-COARE:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) THEN
+!       if (annee_ref.EQ.1992) THEN
 !        timeit=(day-day_ini_sandu)*86400.
 !       else
@@ -986,5 +986,5 @@
      &          it_sandu1,it_sandu2,time_sandu1,time_sandu2
 
-       if (it_sandu1 .ge. nt_sandu) THEN
+       IF (it_sandu1 .ge. nt_sandu) THEN
         WRITE(*,*) 'PB-stop: day, it_sandu1, it_sandu2, timeit: '          &
      &        ,day,it_sandu1,it_sandu2,timeit/86400.
@@ -1016,12 +1016,12 @@
 !-------------------------------------------------------------------------
 
-      integer nlev_armcu,nt_armcu
-      real sens(nt_armcu),flat(nt_armcu)
-      real adv_theta(nt_armcu),rad_theta(nt_armcu),adv_qt(nt_armcu)
+      INTEGER nlev_armcu,nt_armcu
+      REAL sens(nt_armcu),flat(nt_armcu)
+      REAL adv_theta(nt_armcu),rad_theta(nt_armcu),adv_qt(nt_armcu)
       character*80 fich_armcu
 
-      integer ip
-
-      integer iy,im,id,ih,in
+      INTEGER ip
+
+      INTEGER iy,im,id,ih,in
 
       PRINT*,'nlev_armcu',nlev_armcu
@@ -1059,7 +1059,7 @@
 !-------------------------------------------------------------------------
  
-       integer nlevmax
+       INTEGER nlevmax
        parameter (nlevmax=41)
-       integer nlev_toga,mxcalc
+       INTEGER nlev_toga,mxcalc
 !       real play(llm), plev_prof(nlevmax) 
 !       real t_prof(nlevmax),q_prof(nlevmax)
@@ -1068,28 +1068,28 @@
 !       real hq_prof(nlevmax),vq_prof(nlevmax)
  
-       real play(llm), plev_prof(nlev_toga) 
-       real t_prof(nlev_toga),q_prof(nlev_toga)
-       real u_prof(nlev_toga),v_prof(nlev_toga), w_prof(nlev_toga)
-       real ht_prof(nlev_toga),vt_prof(nlev_toga)
-       real hq_prof(nlev_toga),vq_prof(nlev_toga)
- 
-       real t_mod(llm),q_mod(llm)
-       real u_mod(llm),v_mod(llm), w_mod(llm)
-       real ht_mod(llm),vt_mod(llm)
-       real hq_mod(llm),vq_mod(llm)
- 
-       integer l,k,k1,k2
-       real frac,frac1,frac2,fact
+       REAL play(llm), plev_prof(nlev_toga)
+       REAL t_prof(nlev_toga),q_prof(nlev_toga)
+       REAL u_prof(nlev_toga),v_prof(nlev_toga), w_prof(nlev_toga)
+       REAL ht_prof(nlev_toga),vt_prof(nlev_toga)
+       REAL hq_prof(nlev_toga),vq_prof(nlev_toga)
+ 
+       REAL t_mod(llm),q_mod(llm)
+       REAL u_mod(llm),v_mod(llm), w_mod(llm)
+       REAL ht_mod(llm),vt_mod(llm)
+       REAL hq_mod(llm),vq_mod(llm)
+ 
+       INTEGER l,k,k1,k2
+       REAL frac,frac1,frac2,fact
  
        do l = 1, llm
 
-        if (play(l).ge.plev_prof(nlev_toga)) THEN
+        IF (play(l).ge.plev_prof(nlev_toga)) THEN
         mxcalc=l
          k1=0
          k2=0
 
-         if (play(l).le.plev_prof(1)) THEN
+         IF (play(l).le.plev_prof(1)) THEN
          do k = 1, nlev_toga-1
-          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) THEN
+          IF (play(l).le.plev_prof(k).AND. play(l).gt.plev_prof(k+1)) THEN
             k1=k
             k2=k+1
@@ -1097,5 +1097,5 @@
          enddo
 
-         if (k1.eq.0 .or. k2.eq.0) THEN
+         IF (k1.EQ.0 .OR. k2.EQ.0) THEN
           WRITE(*,*) 'PB! k1, k2 = ',k1,k2
           WRITE(*,*) 'l,play(l) = ',l,play(l)/100
@@ -1179,7 +1179,7 @@
 !-------------------------------------------------------------------------
  
-       integer nlevmax
+       INTEGER nlevmax
        parameter (nlevmax=41)
-       integer nlev_cas,mxcalc
+       INTEGER nlev_cas,mxcalc
 !       real play(llm), plev_prof(nlevmax) 
 !       real t_prof(nlevmax),q_prof(nlevmax)
@@ -1188,34 +1188,34 @@
 !       real hq_prof(nlevmax),vq_prof(nlevmax)
  
-       real play(llm), plev_prof_cas(nlev_cas) 
-       real t_prof_cas(nlev_cas),q_prof_cas(nlev_cas)
-       real u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
-       real ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas), vitw_prof_cas(nlev_cas)
-       real du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
-       real dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
-       real dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas),dtrad_prof_cas(nlev_cas)
-       real dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
- 
-       real t_mod_cas(llm),q_mod_cas(llm)
-       real u_mod_cas(llm),v_mod_cas(llm)
-       real ug_mod_cas(llm),vg_mod_cas(llm), w_mod_cas(llm)
-       real du_mod_cas(llm),hu_mod_cas(llm),vu_mod_cas(llm)
-       real dv_mod_cas(llm),hv_mod_cas(llm),vv_mod_cas(llm)
-       real dt_mod_cas(llm),ht_mod_cas(llm),vt_mod_cas(llm),dtrad_mod_cas(llm)
-       real dq_mod_cas(llm),hq_mod_cas(llm),vq_mod_cas(llm)
- 
-       integer l,k,k1,k2
-       real frac,frac1,frac2,fact
+       REAL play(llm), plev_prof_cas(nlev_cas)
+       REAL t_prof_cas(nlev_cas),q_prof_cas(nlev_cas)
+       REAL u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
+       REAL ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas), vitw_prof_cas(nlev_cas)
+       REAL du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
+       REAL dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
+       REAL dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas),dtrad_prof_cas(nlev_cas)
+       REAL dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
+ 
+       REAL t_mod_cas(llm),q_mod_cas(llm)
+       REAL u_mod_cas(llm),v_mod_cas(llm)
+       REAL ug_mod_cas(llm),vg_mod_cas(llm), w_mod_cas(llm)
+       REAL du_mod_cas(llm),hu_mod_cas(llm),vu_mod_cas(llm)
+       REAL dv_mod_cas(llm),hv_mod_cas(llm),vv_mod_cas(llm)
+       REAL dt_mod_cas(llm),ht_mod_cas(llm),vt_mod_cas(llm),dtrad_mod_cas(llm)
+       REAL dq_mod_cas(llm),hq_mod_cas(llm),vq_mod_cas(llm)
+ 
+       INTEGER l,k,k1,k2
+       REAL frac,frac1,frac2,fact
  
        do l = 1, llm
 
-        if (play(l).ge.plev_prof_cas(nlev_cas)) THEN
+        IF (play(l).ge.plev_prof_cas(nlev_cas)) THEN
         mxcalc=l
          k1=0
          k2=0
 
-         if (play(l).le.plev_prof_cas(1)) THEN
+         IF (play(l).le.plev_prof_cas(1)) THEN
          do k = 1, nlev_cas-1
-          if (play(l).le.plev_prof_cas(k).and. play(l).gt.plev_prof_cas(k+1)) THEN
+          IF (play(l).le.plev_prof_cas(k).AND. play(l).gt.plev_prof_cas(k+1)) THEN
             k1=k
             k2=k+1
@@ -1223,5 +1223,5 @@
          enddo
 
-         if (k1.eq.0 .or. k2.eq.0) THEN
+         IF (k1.EQ.0 .OR. k2.EQ.0) THEN
           WRITE(*,*) 'PB! k1, k2 = ',k1,k2
           WRITE(*,*) 'l,play(l) = ',l,play(l)/100
@@ -1336,34 +1336,34 @@
 !-------------------------------------------------------------------------
  
-       integer nlevmax
+       INTEGER nlevmax
        parameter (nlevmax=41)
-       integer nlev_dice,mxcalc,nt_dice
- 
-       real play(llm), plev_prof(nlev_dice) 
-       real th_prof(nlev_dice),qv_prof(nlev_dice)
-       real u_prof(nlev_dice),v_prof(nlev_dice) 
-       real o3_prof(nlev_dice)
-       real ht_prof(nlev_dice),hq_prof(nlev_dice)
-       real hu_prof(nlev_dice),hv_prof(nlev_dice)
-       real w_prof(nlev_dice),omega_prof(nlev_dice)
- 
-       real th_mod(llm),qv_mod(llm)
-       real u_mod(llm),v_mod(llm), o3_mod(llm)
-       real ht_mod(llm),hq_mod(llm)
-       real hu_mod(llm),hv_mod(llm),w_mod(llm),omega_mod(llm)
- 
-       integer l,k,k1,k2,kp
-       real aa,frac,frac1,frac2,fact
+       INTEGER nlev_dice,mxcalc,nt_dice
+ 
+       REAL play(llm), plev_prof(nlev_dice)
+       REAL th_prof(nlev_dice),qv_prof(nlev_dice)
+       REAL u_prof(nlev_dice),v_prof(nlev_dice)
+       REAL o3_prof(nlev_dice)
+       REAL ht_prof(nlev_dice),hq_prof(nlev_dice)
+       REAL hu_prof(nlev_dice),hv_prof(nlev_dice)
+       REAL w_prof(nlev_dice),omega_prof(nlev_dice)
+ 
+       REAL th_mod(llm),qv_mod(llm)
+       REAL u_mod(llm),v_mod(llm), o3_mod(llm)
+       REAL ht_mod(llm),hq_mod(llm)
+       REAL hu_mod(llm),hv_mod(llm),w_mod(llm),omega_mod(llm)
+ 
+       INTEGER l,k,k1,k2,kp
+       REAL aa,frac,frac1,frac2,fact
  
        do l = 1, llm
 
-        if (play(l).ge.plev_prof(nlev_dice)) THEN
+        IF (play(l).ge.plev_prof(nlev_dice)) THEN
         mxcalc=l
          k1=0
          k2=0
 
-         if (play(l).le.plev_prof(1)) THEN
+         IF (play(l).le.plev_prof(1)) THEN
          do k = 1, nlev_dice-1
-          if (play(l).le.plev_prof(k) .and. play(l).gt.plev_prof(k+1)) THEN
+          IF (play(l).le.plev_prof(k) .AND. play(l).gt.plev_prof(k+1)) THEN
             k1=k
             k2=k+1
@@ -1371,5 +1371,5 @@
          enddo
 
-         if (k1.eq.0 .or. k2.eq.0) THEN
+         IF (k1.EQ.0 .OR. k2.EQ.0) THEN
           WRITE(*,*) 'PB! k1, k2 = ',k1,k2
           WRITE(*,*) 'l,play(l) = ',l,play(l)/100
@@ -1460,23 +1460,23 @@
 
 ! inputs:
-        integer annee_ref
-        integer nt_astex,nlev_astex
-        integer year_ini_astex
-        real day, day1,day_ini_astex,dt_astex
-        real div_astex(nt_astex),ts_astex(nt_astex),ug_astex(nt_astex)
-        real vg_astex(nt_astex),ufa_astex(nt_astex),vfa_astex(nt_astex)
+        INTEGER annee_ref
+        INTEGER nt_astex,nlev_astex
+        INTEGER year_ini_astex
+        REAL day, day1,day_ini_astex,dt_astex
+        REAL div_astex(nt_astex),ts_astex(nt_astex),ug_astex(nt_astex)
+        REAL vg_astex(nt_astex),ufa_astex(nt_astex),vfa_astex(nt_astex)
 ! outputs:
-        real div_prof,ts_prof,ug_prof,vg_prof,ufa_prof,vfa_prof
+        REAL div_prof,ts_prof,ug_prof,vg_prof,ufa_prof,vfa_prof
 ! local:
-        integer it_astex1, it_astex2
-        real timeit,time_astex1,time_astex2,frac
+        INTEGER it_astex1, it_astex2
+        REAL timeit,time_astex1,time_astex2,frac
 
 ! Check that initial day of the simulation consistent with ASTEX period:
-       if (annee_ref.ne.1992 ) THEN
+       IF (annee_ref.NE.1992 ) THEN
         PRINT*,'Pour Astex, annee_ref doit etre 1992 '
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref.eq.1992 .and. day1.lt.day_ini_astex) THEN
+       IF (annee_ref.EQ.1992 .AND. day1.lt.day_ini_astex) THEN
         PRINT*,'Astex debute le 13 Juin 1992 (jour julien=165)'
         PRINT*,'Changer dayref dans run.def'
@@ -1486,5 +1486,5 @@
 ! Determine timestep relative to the 1st day of TOGA-COARE:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) THEN
+!       if (annee_ref.EQ.1992) THEN
 !        timeit=(day-day_ini_astex)*86400.
 !       else
@@ -1502,5 +1502,5 @@
      &          it_astex1,it_astex2,time_astex1,time_astex2
 
-       if (it_astex1 .ge. nt_astex) THEN
+       IF (it_astex1 .ge. nt_astex) THEN
         WRITE(*,*) 'PB-stop: day, it_astex1, it_astex2, timeit: '          &
      &        ,day,it_astex1,it_astex2,timeit/86400.
@@ -1554,39 +1554,39 @@
 
 ! inputs:
-        integer annee_ref
-        integer nt_toga,nlev_toga
-        integer year_ini_toga
-        real day, day1,day_ini_toga,dt_toga
-        real ts_toga(nt_toga)
-        real plev_toga(nlev_toga,nt_toga),t_toga(nlev_toga,nt_toga)
-        real q_toga(nlev_toga,nt_toga),u_toga(nlev_toga,nt_toga)
-        real v_toga(nlev_toga,nt_toga),w_toga(nlev_toga,nt_toga)
-        real ht_toga(nlev_toga,nt_toga),vt_toga(nlev_toga,nt_toga)
-        real hq_toga(nlev_toga,nt_toga),vq_toga(nlev_toga,nt_toga)
+        INTEGER annee_ref
+        INTEGER nt_toga,nlev_toga
+        INTEGER year_ini_toga
+        REAL day, day1,day_ini_toga,dt_toga
+        REAL ts_toga(nt_toga)
+        REAL plev_toga(nlev_toga,nt_toga),t_toga(nlev_toga,nt_toga)
+        REAL q_toga(nlev_toga,nt_toga),u_toga(nlev_toga,nt_toga)
+        REAL v_toga(nlev_toga,nt_toga),w_toga(nlev_toga,nt_toga)
+        REAL ht_toga(nlev_toga,nt_toga),vt_toga(nlev_toga,nt_toga)
+        REAL hq_toga(nlev_toga,nt_toga),vq_toga(nlev_toga,nt_toga)
 ! outputs:
-        real ts_prof
-        real plev_prof(nlev_toga),t_prof(nlev_toga)
-        real q_prof(nlev_toga),u_prof(nlev_toga)
-        real v_prof(nlev_toga),w_prof(nlev_toga)
-        real ht_prof(nlev_toga),vt_prof(nlev_toga)
-        real hq_prof(nlev_toga),vq_prof(nlev_toga)
+        REAL ts_prof
+        REAL plev_prof(nlev_toga),t_prof(nlev_toga)
+        REAL q_prof(nlev_toga),u_prof(nlev_toga)
+        REAL v_prof(nlev_toga),w_prof(nlev_toga)
+        REAL ht_prof(nlev_toga),vt_prof(nlev_toga)
+        REAL hq_prof(nlev_toga),vq_prof(nlev_toga)
 ! local:
-        integer it_toga1, it_toga2,k
-        real timeit,time_toga1,time_toga2,frac
-
-
-        if (forcing_type.eq.2) THEN
+        INTEGER it_toga1, it_toga2,k
+        REAL timeit,time_toga1,time_toga2,frac
+
+
+        IF (forcing_type.EQ.2) THEN
 ! Check that initial day of the simulation consistent with TOGA-COARE period:
-       if (annee_ref.ne.1992 .and. annee_ref.ne.1993) THEN
+       IF (annee_ref.NE.1992 .AND. annee_ref.NE.1993) THEN
         PRINT*,'Pour TOGA-COARE, annee_ref doit etre 1992 ou 1993'
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref.eq.1992 .and. day1.lt.day_ini_toga) THEN
+       IF (annee_ref.EQ.1992 .AND. day1.lt.day_ini_toga) THEN
         PRINT*,'TOGA-COARE a debute le 1er Nov 1992 (jour julien=306)'
         PRINT*,'Changer dayref dans run.def'
         stop
        endif
-       if (annee_ref.eq.1993 .and. day1.gt.day_ini_toga+119) THEN
+       IF (annee_ref.EQ.1993 .AND. day1.gt.day_ini_toga+119) THEN
         PRINT*,'TOGA-COARE a fini le 28 Feb 1993 (jour julien=59)'
         PRINT*,'Changer dayref ou nday dans run.def'
@@ -1594,17 +1594,17 @@
        endif
 
-       else if (forcing_type.eq.4) THEN
+       ELSE IF (forcing_type.EQ.4) THEN
 ! Check that initial day of the simulation consistent with TWP-ICE period:
-       if (annee_ref.ne.2006) THEN
+       IF (annee_ref.NE.2006) THEN
         PRINT*,'Pour TWP-ICE, annee_ref doit etre 2006'
         PRINT*,'Changer annee_ref dans run.def'
         stop
        endif
-       if (annee_ref.eq.2006 .and. day1.lt.day_ini_toga) THEN
+       IF (annee_ref.EQ.2006 .AND. day1.lt.day_ini_toga) THEN
         PRINT*,'TWP-ICE a debute le 17 Jan 2006 (jour julien=17)'
         PRINT*,'Changer dayref dans run.def'
         stop
        endif
-       if (annee_ref.eq.2006 .and. day1.gt.day_ini_toga+26) THEN
+       IF (annee_ref.EQ.2006 .AND. day1.gt.day_ini_toga+26) THEN
         PRINT*,'TWP-ICE a fini le 12 Feb 2006 (jour julien=43)'
         PRINT*,'Changer dayref ou nday dans run.def'
@@ -1616,5 +1616,5 @@
 ! Determine timestep relative to the 1st day of TOGA-COARE:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) THEN
+!       if (annee_ref.EQ.1992) THEN
 !        timeit=(day-day_ini_toga)*86400.
 !       else
@@ -1629,5 +1629,5 @@
        time_toga2=(it_toga2-1)*dt_toga
 
-       if (it_toga1 .ge. nt_toga) THEN
+       IF (it_toga1 .ge. nt_toga) THEN
         WRITE(*,*) 'PB-stop: day, it_toga1, it_toga2, timeit: '            &
      &        ,day,it_toga1,it_toga2,timeit/86400.
